﻿using Wisej.Web;
using Wisej.Web.Ext.ChartJS;

namespace ChartJSYaxis
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, System.EventArgs e)
		{
			//Add a new dataset so we have some points on our example chart
			object[] array1 = new object[] { 1, 3, 5, 7, 9 };
			chartJS1.DataSets.Add("Data Set").Data = array1;

			//Access the y axis and set the position to the right side of the graph
			var firstyaxis = chartJS1.Options.Scales.yAxes[0];
			firstyaxis.Position = HeaderPosition.Right;

			//Create a second Y axis
			var newYaxis = new OptionScalesAxesY();
			//uncomment this if you want the newly created Y axis to be the one on the right
			//newYaxis.Position = HeaderPosition.Right;

			//Set the Y axes of the chart so that it has 2 axes.
			chartJS1.Options.Scales.yAxes = new OptionScalesAxesY[] { firstyaxis, newYaxis };
		}
	}
}
